/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { Base, markType } from "igniteui-webcomponents-core";
/**
 * @hidden
 */
var SpreadsheetToolTipContext = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(SpreadsheetToolTipContext, _super);
    function SpreadsheetToolTipContext() {
        var _this = _super.call(this) || this;
        _this.d = null;
        _this.b = null;
        _this.c = null;
        _this.a = 0;
        return _this;
    }
    SpreadsheetToolTipContext.$t = markType(SpreadsheetToolTipContext, 'SpreadsheetToolTipContext');
    return SpreadsheetToolTipContext;
}(Base));
export { SpreadsheetToolTipContext };
